Announcement

Collapse
No announcement yet.

Warning: Declaration of ...includes/class_dbalter.php on line 882

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [CMS] Warning: Declaration of ...includes/class_dbalter.php on line 882

    First here is my version info:
    Apache version: 2.2.26
    PHP version: 5.4.22
    MySQL version: 5.5.35-log
    Architecture: x86_64
    Operating System: linux

    I am unable to edit posts on my site for the forums and the CMS. My blog section in the admin panel is completely unusable. Here is what I
    have...



    http://www.vbulletin.com/forum/forum...09#post4004209
    Should I revert ??? ..as asked here:
    http://www.vbulletin.com/forum/forum...30#post4005830

    I put in a support ticket here:
    http://tracker.vbulletin.com/browse/...#action_189994

    and follow up commented here:

    http://tracker.vbulletin.com/browse/...#action_191141





  • #2
    What version of vBulletin are you running?
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Add the following line to your config.php file under the <?php line:

      PHP Code:
      define('SKIP_ALL_ERRORS'true); 
      This file though, class_dbalter.php, is not a default vbulletin file. It's from a modification.

      Please don't PM or VM me for support - I only help out in the threads.
      vBulletin Manual & vBulletin 4.0 Code Documentation (API)
      Want help modifying your vbulletin forum? Head on over to vbulletin.org
      If I post CSS and you don't know where it goes, throw it into the additional.css template.

      W3Schools &lt;- awesome site for html/css help

      Comment


      • #4
        Originally posted by Mark.B View Post
        What version of vBulletin are you running?
        I'm using 4.2.2

        Lynne please note my comment in JIRA when trying this one... makes a new error:

        QUOTE form JIRA:

        Edit 2: I tried the temporary "fix" HERE: http://www.vbulletin.com/forum/forum/vbulletin-4/vbulletin-4-questions-problems-and-troubleshooting/4000233-warning-declaration-of-vbforum_item_socialgroupmessage?p=4000793#post4000793
        but it only changes the CMS error line:
        Warning: Declaration of vBForum_Item_SocialGroupDiscussion::applyLoad() should be compatible with that of vB_Model::applyLoad() in ..../packages/vbforum/item/socialgroupdiscussion.php on line 337

        ignoring the error attempts always return that error.
        Last edited by GamBun; Tue 24 Dec '13, 10:58am.

        Comment


        • #5
          Try this:

          In class_core.php locate lines 5683-5685
          Code:
          case E_NOTICE:
          // Just ignore these completely //
          break;
          Change those lines to this
          Code:
          case E_NOTICE:
          case E_STRICT;
          case E_DEPRECATED;
          // Just ignore these completely //
          break;
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.6.4 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • GamBun
            GamBun commented
            Editing a comment
            I added that code and it works great.

            Blog navigation/areas are back in the adminCP

            I can post/edit in the forums.
            My CMS can be edited as well.

            I'll let you know if I have any more errors.

            Thank you!

          • annc
            annc commented
            Editing a comment
            Thanks for posting this fix, Mark. I added it to my new test system (just looking at vBulletin 4) and it fixed the problem instantly.

        • #6
          This no longer works with the upgraded patch. I now receive this error:

          Warning: Creating default object from empty value in ..../packages/vbcms/content/section.php on line 739

          If I remove the content you gave me I get these errors once again:

          Warning: Declaration of vBForum_Item_SocialGroupMessage::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = '', $force_rebuild = false) in ..../packages/vbforum/item/socialgroupmessage.php on line 261

          Warning: Declaration of vBForum_Item_SocialGroupDiscussion::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = '', $force_rebuild = false) in ..../packages/vbforum/item/socialgroupdiscussion.php on line 337

          Warning: Creating default object from empty value in ..../packages/vbcms/content/section.php on line 739

          Is there another fix for this?
          Last edited by GamBun; Tue 8 Apr '14, 4:00pm. Reason: edit typo...

          Comment


          • #7
            Have a look at post #2.

            http://www.vbulletin.com/forum/forum...-been-released

            Comment


            • #8
              I'm aware of that, but thanks anyways. As before It doesn't fix it all for me (if you note my prior posts). I'm scraping until the bug is fixed and not just hidden... maybe... So disappointed in this software now. I used to love using vBulletin something in quality has changed. No need for response. I'm likely not checking back.

              Comment

              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
              Working...
              X